php and pear - module API number matching problem

Do you have a question? Post it now! No Registration Necessary.  Now with pictures!

I've been trying to update php and have installed php 5.1.6 on
slackware 11 and previously on 10.2 but when I run 'pear config-test' I
keep on getting a message:

PHP Warning: PHP Startup: Unable to load dynamic library ''
- '': undefined symbol: empty_string Unknown on line 0
PHP Warning: PHP Startup: (null): Unable to initialilze module
Module compiled with module API=20020429, debug=0, thread-safety=0
PHP compiled with module API=20050922, debug=0, thread-safety=0
These options need to match
 in Unknown on line 0

I have searched on the web but not found anything that explains it to
me yet.  Has anyone got any pointers on this please.

The system seems to work basically but when I try to install the horde
framework, there is definitely some sort of db problem stops horde
working at all from the start - i.e. login just can't work.

Site Timeline